Subject: bug#9914: 24.0.91; htmlfontify.el: Add support for code block fontification on ODT export

From: Vivek Dasmohapatra <[email-masked]>
Date: Tue, 13 Mar 2012 03:35:35 +0000 (GMT)

This looks reasonable to me, I have only one point to make from an initial
review:

The patches seem to introduce tabs into the code - I believe I only
ever used spaces, and I'd prefer to keep it that way (this is a minor
point: if the project wishes to change the indent style, this should 
be done separately to a feature patchset, just to keep the history sane).

Oh... just noticed - in the fontify-string defun:

     (with-temp-buffer
       (insert string)
       (htmlfontify-buffer)
       (prog1 (buffer-string)
 	(setq buffer-modified-p nil)
 	(kill-buffer)))))

susect this would be neater as:

     (with-temp-buffer
       (insert string)
       (htmlfontify-buffer)
       (set-buffer-modified-p nil)
       (buffer-string))